# MinedTransactionEntity

    public protocol MinedTransactionEntity : AbstractTransaction, RawIdentifiable

Attributes that a Mined transaction must have

- `minedHeight`

  height on which this transaction was mined at. Convention is that -1 is retuned when it has not been mined yet

  #### Declaration

  Swift

      var minedHeight: Int { get set }

- `noteId`

  internal note id that is involved on this transaction

  #### Declaration

  Swift

      var noteId: Int { get set }

- `blockTimeInSeconds`

  block time in in reference since 1970

  #### Declaration

  Swift

      var blockTimeInSeconds: TimeInterval { get set }

- `transactionIndex`

  internal index for this transaction

  #### Declaration

  Swift

      var transactionIndex: Int { get set }

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.